Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 92284 - new ebuild: gnormalize
Summary: new ebuild: gnormalize
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: Normal normal with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://gnormalize.sourceforge.net/
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
: 117260 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-05-11 12:16 UTC by Thomas Kuther
Modified: 2018-06-07 18:25 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gnormalize-0.28.ebuild (gnormalize-0.28.ebuild,861 bytes, text/plain)
2005-05-11 12:17 UTC, Thomas Kuther
Details
gnormalize-0.33.ebuild (gnormalize-0.33.ebuild,886 bytes, text/plain)
2005-07-24 17:34 UTC, Thomas Kuther
Details
gnormalize-0.36.ebuild (gnormalize-0.36.ebuild,874 bytes, text/plain)
2005-08-18 17:15 UTC, Thomas Kuther
Details
gnormalize-0.36.ebuild (gnormalize-0.36.ebuild,901 bytes, text/plain)
2005-08-19 17:59 UTC, Thomas Kuther
Details
gnormalize-0.47.ebuild (gnormalize-0.47.ebuild,842 bytes, text/plain)
2006-01-15 05:05 UTC, Sébastien Fabbro (RETIRED)
Details
gnormalize-0.49.ebuild (gnormalize-0.49.ebuild,1.25 KB, text/plain)
2006-04-10 13:16 UTC, Tristan Heaven (RETIRED)
Details
gnormalize-0.49.ebuild (gnormalize-0.49.ebuild,1.11 KB, text/plain)
2006-08-21 21:02 UTC, Tristan Heaven (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Kuther 2005-05-11 12:16:19 UTC
gnormalize is an audio converter, a front end to normalize, an encoder/decoder, a ripper, a metadata (tag) editor and a cd player. It uses gtk2-perl on Linux.

i think that needs an ebuild

Reproducible: Always
Steps to Reproduce:
Comment 1 Thomas Kuther 2005-05-11 12:17:56 UTC
Created attachment 58684 [details]
gnormalize-0.28.ebuild
Comment 2 Markus Krainer 2005-06-25 02:28:21 UTC
The latest version is 0.31

Rename the ebuild (gnormalize-0.31.ebuild) and change the flac dependency
(gnormalize now needs at least metaflac 1.1.1):

       flac? ( >=media-libs/flac-1.1.1 )

Works fine here.
Comment 3 Karol Krizka 2005-07-24 16:02:11 UTC
Latest version is 0.33 (rename file) and it works on amd64.
Comment 4 Thomas Kuther 2005-07-24 17:34:01 UTC
Created attachment 64221 [details]
gnormalize-0.33.ebuild

version bump, updated flac dependency and added dodoc
Comment 5 Ciaran McCreesh 2005-08-18 14:56:27 UTC
Please fix the following and reopen:

* LICENSE is invalid.
* DESCRIPTION is a bit too long.
* You IUSE all sorts of things but don't do anything with them.
* ${S} should be quoted.
Comment 6 Thomas Kuther 2005-08-18 17:15:12 UTC
Created attachment 66276 [details]
gnormalize-0.36.ebuild

Thanks for the hints!
version bump, fixed license, shorter description and quoted ${..}

about IUSE: the idea is that the app doesn't need all, but can do alot. 
it's a binary only, but with the useflags one could assure that dependencies
get installed for features he wants to use. Please correct me if this is the
wrong idea.
Comment 7 Thomas Kuther 2005-08-18 17:18:24 UTC
reopened...

still not sure about a better handling for adding features to the app/installing
dependencies other than with IUSE.
Comment 8 Ciaran McCreesh 2005-08-18 19:51:05 UTC
Ok, I guess using USE flags purely for depends is OK here. Are you really sure
about the license? GPL-1 would surprise me, most things are GPL-2...
Comment 9 Thomas Kuther 2005-08-19 17:59:45 UTC
Created attachment 66361 [details]
gnormalize-0.36.ebuild

OK regarding license the sf page and readme just told GPL, but mailed the
author:
"Hi, Thomas.
I don't know the difference between the two versions.
But, I will set it to GPL-v2.
I would like to see gnormalize into the gentoo.
Thanks, Claudio."
:)
so, updated license to GPL-2 (had to re-upload as editing didn't work here)
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2005-12-31 04:08:22 UTC
*** Bug 117260 has been marked as a duplicate of this bug. ***
Comment 11 Sébastien Fabbro (RETIRED) gentoo-dev 2006-01-15 05:05:01 UTC
Created attachment 77155 [details]
gnormalize-0.47.ebuild

new ebuild for version 0.47:
- cleaned
- added icons, animations
- could use a monkey audio, but not available on portage (license?)
Still not sure about where to put icons in the filesystem.
Spits some Gdk-CRITICAL warning, but does not seem to affect anything so far.

"Gdk-CRITICAL **: gdk_window_invalidate_rect: assertion `window != NULL' failed at /usr/bin/gnormalize line 7274."
Comment 12 Paulo Fidalgo 2006-02-15 07:26:19 UTC
I've tested this ebuild and works nicely.
Those errors about GDK, forget them... or better, don't worry about them ;)
Comment 13 Sebastian Bauer 2006-02-24 09:21:22 UTC
i get this with version 0.47 (i've add "use disgnostics;" to script):
Can't locate object method "signal_connect" via package "Gtk2::Window" at
        /usr/bin/gnormalize line 1029 (#1)
    (F) You called a method correctly, and it correctly indicated a package
    functioning as a class, but that package doesn't define that particular
    method, nor does any of its base classes.  See perlobj.
    
Uncaught exception from user code:
        Can't locate object method "signal_connect" via package "Gtk2::Window" at /usr/bin/gnormalize line 1029.
 at /usr/bin/gnormalize line 1029



USE flags:
[ Found these USE variables for gnome-extra/gnormalize-0.47 ]
 U I
 + + aac       : Enables support for MPEG-4 AAC Audio
 + + cddb      : <unknown>
 + + flac      : Adds support for the flac audio codec
 + + musepack  : <unknown>
 + + oggvorbis : Adds support for the OggVorbis audio encoding - DEPRECATED useflag


emerge --info:
Portage 2.1_pre4-r1 (default-linux/x86/2005.1, gcc-4.1.0-pre20060219, glibc-2.3.
6-r3, 2.6.16-rc1lapcio i686)
=================================================================
System uname: 2.6.16-rc1lapcio i686 Pentium III (Coppermine)
Gentoo Base System version 1.12.0_pre16
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disable
d]
ccache version 2.4 [disabled]
dev-lang/python:     2.3.5-r2, 2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.91.0.4, 2.16.91.0.5, 2.16.91.0.6
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium3 -msse -fomit-frame-pointer -ftracer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share
/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kd
e/3.5/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/default
s/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/splash /etc/terminfo /etc/texmf/web2c /etc/
env.d"
CXXFLAGS="-O2 -march=pentium3 -msse -fomit-frame-pointer -ftracer -pipe -ffriend
-injection"
DISTDIR="/home/distfiles"
FEATURES="autoconfig confcache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/
distributions/gentoo"
LANG="pl_PL.UTF-8"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/home/t"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/home/portage/trunk /home/portage/gnome-experimental /home/port
age/bmg-main /home/portage/gentopia/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac acpi alsa apache2 arts asf audiofile automount avi avifile bash-c
ompletion berkdb bitmap-fonts browserplugin bzip2 c++ cdda cdparanoia cdr cpudet
ection crypt cscope css ctype cups curl curlwrappers custom-cflags directfb divx
4linux doc dvd dvdread dxr3 encode esd exif expat ffmpeg firefox flac flash fort
ran freetype ftp gd gdm gg gif glade glibc glut gmp gnome gpm gstreamer gtk gtk2
 hal id3 idn imagemagick insecure-savers jabber java javascript jpeg lame lcms l
ibcaca libg++ libwww linuxthreads-tls mad mikmod mime mmx mng mono mozilla mp3 m
peg mpeg2 mpeg4 mysql ncurses nls nptl objc ogg opengl oss pam pdflib perl png p
np posix postgres python quicktime readline samba sdl sndfile sockets speex spel
l sse sse-filters ssl static-modules subtitles svg svga tcltk threads tiff truet
ype truetype-fonts type1-fonts unicode usb utf8 vcd vidix vim vorbis win32codecs
 wma123 wxwindows xine xml xml2 xmms xv xvid zip zlib elibc_glibc kernel_linux l
inguas_pl_PL.UTF-8 userland_GNU"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS

Comment 14 Tristan Heaven (RETIRED) gentoo-dev 2006-04-10 13:16:15 UTC
Created attachment 84384 [details]
gnormalize-0.49.ebuild

New version.

Ebuild changes:
-Install manpage
-Install menu icon
-Added all of the back-ends I could find in portage to the depends, except mplayer...
Comment 15 Guy Ratcliffe 2006-05-01 14:51:39 UTC
Just tried this ebuild.  Seems to be one dependency issue, on CDDB_get.  This showed up running it from the comand line:

   To get audio cd informations from freedb.freedb.org,
   install the perl module "CDDB_get-version.tar.gz".

After I emerged this, the message went away.

Regardless, I seem to be getting this error:
Can't locate object method "signal_connect" via package "Gtk2::Window" at /usr/bin/gnormalize line 1048.

Any ideas?
Comment 16 Guy Ratcliffe 2006-05-01 14:58:17 UTC
(In reply to comment #15)
> Just tried this ebuild.  Seems to be one dependency issue, on CDDB_get.  This
> showed up running it from the comand line:
> 
>    To get audio cd informations from freedb.freedb.org,
>    install the perl module "CDDB_get-version.tar.gz".
> 
Scratch that, enabled by the cdrom USE flag!
I'm still getting the error though and the app will not run.
Comment 17 Guy Ratcliffe 2006-05-01 15:12:13 UTC
Ok, resolved the error that I have.  On amd64, I had to go to unstable gtk2-perl (and associated glib-perl)  The version that I upgraded to was he latest "unstable" gtk2-perl 1.121 and glib-perl 1.120

  This resolved the error:

Can't locate object method "signal_connect" via package "Gtk2::Window" at
/usr/bin/gnormalize line 1048.

Ebuild needs to be changed to reflect that...
Comment 18 A. Person 2006-05-30 20:37:06 UTC
Just wanted to mention that gnormalize-0.49 works great for me and is a great app.  I'd love to see it in portage.
Comment 19 spiralvoice 2006-07-26 07:20:14 UTC
USE flag "cdrom" should be renamed to cddb

# grep cddb /usr/portage/profiles/use.local.desc
dev-libs/libcdio:cddb - Access cddb servers to retrieve and submit information about compact disks.
kde-misc/tellico:cddb - Access cddb servers to retrieve and submit information about compact discs.
media-video/vlc:cddb - Access cddb servers to retrieve and submit information about compact disks.
Comment 20 Tristan Heaven (RETIRED) gentoo-dev 2006-08-21 21:02:36 UTC
Created attachment 94823 [details]
gnormalize-0.49.ebuild
Comment 21 Alex Tarkovsky 2006-09-05 12:33:41 UTC
This ebuild been updated to 0.50 and is now in the Gentoo Sunrise overlay:
http://gentoo-sunrise.org/cgi-bin/trac.cgi/browser/reviewed/media-sound/gnormalize
Comment 22 A. Person 2006-10-16 19:54:38 UTC
Any chance of getting this into portage?  It works great and is awesome besides.
Comment 23 Alex Tarkovsky 2006-10-21 15:40:19 UTC
(In reply to comment #22)
> Any chance of getting this into portage?  It works great and is awesome
> besides.

At least it's in Sunrise, so please be patient. FYI:
http://larrythecow.net/index.php?name=News&file=article&sid=92
Comment 24 Alex Blazh 2006-12-25 03:10:51 UTC
version 0.52 released
Comment 25 Alex Tarkovsky 2006-12-26 00:23:38 UTC
 (In reply to comment #24)
> version 0.52 released

0.52 has been in the Sunrise overlay for 3 weeks. Next time, please check Sunrise first before making bump requests (until this ebuild is finally added to Portage of course).
Comment 26 Pacho Ramos gentoo-dev 2007-05-13 08:32:54 UTC
(In reply to comment #25)
>  (In reply to comment #24)
> > version 0.52 released
> 
> 0.52 has been in the Sunrise overlay for 3 weeks. Next time, please check
> Sunrise first before making bump requests (until this ebuild is finally added
> to Portage of course).
> 

After installing gnormalize it says that I should go to http://sourceforge.net/project/showfiles.php?group_id=123827 for MAC support, but seems that mac-port is not longer in sf.net (and I cannot find it :-( )

Comment 27 Alex Tarkovsky 2007-05-13 21:46:12 UTC
(In reply to comment #26)
> After installing gnormalize it says that I should go to
> http://sourceforge.net/project/showfiles.php?group_id=123827 for MAC support,
> but seems that mac-port is not longer in sf.net (and I cannot find it :-( )

I can't find any info on why the unofficial mac-port project was removed from SourceForge, but I wouldn't be surprised if it had something to do with its legally questionable licensing (which is why mac-port couldn't be added to Portage in the first place). Seems to be little choice now but to remove MAC support from the current gnormalize ebuild.

As for the prospects of officially-sanctioned MAC ports, MAC's author is apathetic at best towards OSI-approved licensing and porting to non-Win32 platforms. Given the existence of FLAC, a technically comparable and true open source alternative, IMO there's every reason for users to abandon MAC for encoding of new material. The only reason I use it is to transcode stuff I find in MAC format over to FLAC, MP3, or Vorbis.

There's a seemingly unencumbered, GPLed cross-platform Java port of MAC, but I wonder if the gnormalize author would want even an optional Java dependency:

http://jmac.sourceforge.net/
Comment 28 Kevin Parent 2007-12-17 18:30:04 UTC
gnormalize-0.53 was released on Dec. 1, 2007.  Will this be in the Sunrise Overlay soon?

**-------------------------------Changes-------------------------------**

version 0.53: - Translation to French by Yaen Pujol.
              - The ability to create artist and album subdirectories when ripping an
	        Audio CD. For example, we can choose filename rip format "%a/%b/%n-%t".
Comment 29 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-21 15:03:02 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 30 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:47:01 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/